/******************************************************************************
 * mapbannerpainter.h - Paint the banner on a map
 *
 * yamce - Yet Another Minecraft Editor
 * Copyright(c) 2018 - Dick Balaska, and BuckoSoft.
 *
 * yamce is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * yamce is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/
#ifndef MAPBANNER_H
#define MAPBANNER_H

#include <QPainter>

class MapBannerPainter
{
private:
	MapBannerPainter() {}

public:
	static void	init();

	static void draw(QPainter& p, const QPoint& pos, const QString& color, double zoom);
};

#endif // MAPBANNER_H
